[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TStatusPanel.StatusBar

Gets the status bar which contains the class instance.

## Declaration

Source position: comctrls.pp line 86

`public function TStatusPanel.StatusBar: TStatusBar;`

## Function result

Status bar where the panel is displayed.

## Description

StatusBar is a TStatusBar function used to retrieve the status bar where the class instance is displayed. It uses the Collection which owns the item to access its StatusBar property. If the Collection is not derived from TStatusPanels, the return value is Nil.

## See also

TStatusBar |  | Displays a panel along the bottom of a form with current status information.
TStatusPanels.StatusBar |  | The StatusBar to which this collection of status panels belongs.
TCollectionItem.Collection